API Reference
Export Jobs
5 endpoints· Auth: JWT or API Key
get
/api/v1/console/export-jobs JWT API KeyGet export-jobs
Query parameters
| Status string | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/export-jobs" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/export-jobs JWT API KeyCreate export-jobs
Request body
application/json
{
"kind": "string",
"reportKey": "string",
"savedReportId": "00000000-0000-0000-0000-000000000000",
"format": "string",
"lang": "string",
"preset": "string",
"from": "2026-09-30",
"to": "2026-09-30"
}| kind string | — |
| reportKey string | — |
| savedReportId string (uuid) | — |
| format string | — |
| lang string | — |
| preset string | — |
| from string (date) | — |
| to string (date) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/export-jobs" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"kind": "string",
"reportKey": "string",
"savedReportId": "00000000-0000-0000-0000-000000000000",
"format": "string",
"lang": "string",
"preset": "string",
"from": "2026-09-30",
"to": "2026-09-30"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/export-jobs/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/export-jobs/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
delete
/api/v1/console/export-jobs/{id} JWT API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/export-jobs/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/export-jobs/{id}/download JWT API KeyGet download
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/export-jobs/{id}/download" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu